net.sf.jasperreports.view

## Class JRSaveContributor

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - net.sf.jasperreports.view.JRSaveContributor

- Direct Known Subclasses:
    JRCsvSaveContributor, JRDocxSaveContributor, JREmbeddedImagesXmlSaveContributor, JRHtmlSaveContributor, JRMultipleSheetsXlsSaveContributor, JROdtSaveContributor, JRPdfSaveContributor, JRPrintSaveContributor, JRRtfSaveContributor, JRSingleSheetXlsSaveContributor, JRXmlSaveContributor

      public abstract class JRSaveContributor
      extends javax.swing.filechooser.FileFilter

  Version:
    $Id: JRSaveContributor.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSaveContributor()`
    `JRSaveContributor(JasperReportsContext jasperReportsContext, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRSaveContributor(java.util.Locale locale, java.util.ResourceBundle resBundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBundleString(java.lang.String key)`
    `protected JasperReportsContext` | `getJasperReportsContext()`
    `abstract void` | `save(JasperPrint jasperPrint, java.io.File file)`

    - ### Methods inherited from class javax.swing.filechooser.FileFilter

      `accept, getDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRSaveContributor

          public JRSaveContributor()

      See Also:
        `JRSaveContributor(JasperReportsContext, Locale, ResourceBundle)`

    - #### JRSaveContributor

          public JRSaveContributor(java.util.Locale locale,
                           java.util.ResourceBundle resBundle)

      See Also:
        `JRSaveContributor(JasperReportsContext, Locale, ResourceBundle)`

    - #### JRSaveContributor

          public JRSaveContributor(JasperReportsContext jasperReportsContext,
                           java.util.Locale locale,
                           java.util.ResourceBundle resBundle)

  - ### Method Detail

    - #### getJasperReportsContext

          protected JasperReportsContext getJasperReportsContext()

    - #### getBundleString

          protected java.lang.String getBundleString(java.lang.String key)

    - #### save

          public abstract void save(JasperPrint jasperPrint,
                  java.io.File file)
                             throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com